com.io7m.jtensors.generators

## Class PVector3DGenerator<T>

- java.lang.Object
- - com.io7m.jtensors.generators.PVector3DGenerator<T>

- Type Parameters:
    `T` -
  All Implemented Interfaces:
    net.java.quickcheck.Generator<PVector3D<T>>

      public final class PVector3DGenerator<T>
      extends Object
      implements net.java.quickcheck.Generator<PVector3D<T>>

  A vector generator.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PVector3DGenerator(net.java.quickcheck.Generator<Double> in_gen)` Construct a generator.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> net.java.quickcheck.Generator<PVector3D<T>>` | `create()` Create a generator initialized with a default component generator.
    `static <T> net.java.quickcheck.Generator<PVector3D<T>>` | `createNormal()` Create a generator initialized with a default component generator that produces values in the range `[-1.0, 1.0]`.
    `static <T> net.java.quickcheck.Generator<PVector3D<T>>` | `createSmall()` Create a generator initialized with a default component generator that produces values in the range `[-(2 ^ 16), 2 ^ 16]`.
    `PVector3D<T>` | `next()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PVector3DGenerator

          public PVector3DGenerator(net.java.quickcheck.Generator<Double> in_gen)

      Construct a generator.
      Parameters:
        `in_gen` - A component generator

  - ### Method Detail

    - #### createSmall

          public static <T> net.java.quickcheck.Generator<PVector3D<T>> createSmall()

      Create a generator initialized with a default component generator that produces values in the range `[-(2 ^ 16), 2 ^ 16]`.
      Type Parameters:
        `T` - A phantom type parameter
      Returns:
        A generator

    - #### create

          public static <T> net.java.quickcheck.Generator<PVector3D<T>> create()

      Create a generator initialized with a default component generator.
      Type Parameters:
        `T` - A phantom type parameter
      Returns:
        A generator

    - #### createNormal

          public static <T> net.java.quickcheck.Generator<PVector3D<T>> createNormal()

      Create a generator initialized with a default component generator that produces values in the range `[-1.0, 1.0]`.
      Type Parameters:
        `T` - A phantom type parameter
      Returns:
        A generator

    - #### next

          public PVector3D<T> next()

      Specified by:
        `next` in interface `net.java.quickcheck.Generator<PVector3D<T>>`

Copyright © 2017 <code@io7m.com> http://io7m.com